<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Access-Control-Allow-Methods: POST, OPTIONS");
header("Content-Type: application/json");

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

require_once("config.php");
require_once("database.php");
require_once("auth-check.php");

if ($decoded_token->data->role !== 'admin') {
    http_response_code(403);
    echo json_encode(["success" => false, "error" => "Yetkisiz erişim"]);
    exit;
}

$data = json_decode(file_get_contents("php://input"), true);
$name = trim($data["name"] ?? "");
$price = floatval($data["price"] ?? 0);
$description = trim($data["description"] ?? "");

if (!$name) {
    echo json_encode(["success" => false, "error" => "Paket adı boş olamaz."]);
    exit;
}

$stmt = $conn->prepare("INSERT INTO packages (name, price, description) VALUES (?, ?, ?)");
$stmt->bind_param("sds", $name, $price, $description);
$success = $stmt->execute();

echo json_encode(["success" => $success]);
