<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Access-Control-Allow-Methods: POST, OPTIONS");
header("Content-Type: application/json");

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

require_once("config.php");
require_once("database.php");
require_once("auth-check.php");

if ($decoded_token->data->role !== 'admin') {
    echo json_encode(["success" => false, "error" => "Yetkisiz erişim."]);
    exit;
}

$data = json_decode(file_get_contents("php://input"), true);
$user_id = $data['user_id'] ?? null;
$bayi_id = $data['bayi_id'] ?? null;

if (!$user_id || !$bayi_id) {
    echo json_encode(["success" => false, "error" => "Eksik parametre."]);
    exit;
}

$stmt = $conn->prepare("UPDATE users SET bayi_id = ? WHERE id = ?");
$stmt->bind_param("ii", $bayi_id, $user_id);
$success = $stmt->execute();
$stmt->close();

echo json_encode(["success" => $success]);
