<?php
// CORS başlıkları (kesin çözüm için şart)
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
header("Content-Type: application/json");

// Preflight OPTIONS isteği için erken yanıtla
if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

// Bağlantılar
require_once("config.php");
require_once("database.php");
require_once("auth-check.php");

// Sadece admin erişebilir
if ($decoded_token->data->role !== 'admin') {
    http_response_code(403);
    echo json_encode(["success" => false, "error" => "Yetkisiz erişim."]);
    exit;
}

// Lisansları çek
$stmt = $conn->prepare("
  SELECT ul.id, ul.start_date, ul.end_date, 
         u.name, u.email, 
         p.name as package_name
  FROM user_licenses ul
  JOIN users u ON ul.user_id = u.id
  JOIN packages p ON ul.package_id = p.id
  ORDER BY ul.end_date ASC
");
$stmt->execute();
$result = $stmt->get_result();

$licenses = [];
while ($row = $result->fetch_assoc()) {
    $licenses[] = $row;
}

// JSON çıktı
echo json_encode([
    "success" => true,
    "licenses" => $licenses
]);
exit;
