<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Access-Control-Allow-Methods: GET, POST, OPTIONS");
header("Content-Type: application/json");

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

require_once("config.php");
require_once("database.php");
require_once("auth-check.php"); // JWT token çözümlemesi yapılır

if ($decoded_token->data->role !== 'bayi') {
    echo json_encode([
        "success" => false,
        "error" => "Bu işlemi yalnızca bayiler gerçekleştirebilir.",
    ]);
    exit;
}

$bayi_id = $decoded_token->data->id;

$stmt = $conn->prepare("
  SELECT id, name, email, phone, created_at 
  FROM users 
  WHERE bayi_id = ?
  ORDER BY id DESC
");
$stmt->bind_param("i", $bayi_id);
$stmt->execute();
$result = $stmt->get_result();

$users = [];
while ($row = $result->fetch_assoc()) {
    $users[] = $row;
}

echo json_encode([
    "success" => true,
    "users" => $users
]);
