<?php
require 'config.php';
require 'database.php';
require 'auth-check.php';

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Access-Control-Allow-Methods: POST, OPTIONS");
header("Content-Type: application/json");

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

if ($decoded_token->data->role !== 'admin') {
    http_response_code(403);
    echo json_encode(["success" => false]);
    exit;
}

$data = json_decode(file_get_contents("php://input"), true);
$id = $data['id'];
$start = $data['start_date'];
$end = $data['end_date'];

$stmt = $conn->prepare("UPDATE user_licenses SET start_date = ?, end_date = ? WHERE id = ?");
$stmt->bind_param("ssi", $start, $end, $id);
$success = $stmt->execute();

echo json_encode(["success" => $success]);
