<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: Authorization, Content-Type");
header("Access-Control-Allow-Methods: POST, OPTIONS");
header("Content-Type: application/json");

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}
require_once("config.php");
require_once("database.php");
require_once("auth-check.php");

if ($decoded_token->data->role !== 'admin') {
    http_response_code(403);
    echo json_encode(['success' => false, 'error' => 'Yetkisiz erişim.']);
    exit;
}

$raw = file_get_contents("php://input");
$data = json_decode($raw, true);

$userId = $data['id'] ?? null;
$name = $data['name'] ?? '';
$email = $data['email'] ?? '';
$phone = $data['phone'] ?? '';
$role = $data['role'] ?? 'user';

if (!$userId || !$name || !$email) {
    echo json_encode(['success' => false, 'error' => 'Eksik bilgi.']);
    exit;
}

$stmt = $conn->prepare("UPDATE users SET name = ?, email = ?, phone = ?, role = ? WHERE id = ?");
$stmt->bind_param("ssssi", $name, $email, $phone, $role, $userId);
$success = $stmt->execute();
$stmt->close();

echo json_encode(['success' => $success]);
